# CAMERASYNC Plugin

Allows the players' cameras to be synchronized with and follow the GM camera as long as the GM as the scroll lock key activated. The GM can move their camera freely without the players watching what they are looking at when they disable scroll lock.

## Change Log

```
1.0.1: Added a Limitations category to the readme
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

Start the game without your scroll lock key on, open up a game as GM and either have players join you with your game ID or open a second instance of the game by typing the followingcommand 
```
TaleSpire.exe --doorstop-enable true --doorstop-target "C:\Users\%USERNAME%\AppData\Roaming\r2modmanPlus-local\TaleSpire\profiles\default\BepInEx\core\BepInEx.Preloader.dll"
```
in the Talespire folder. 

Update the R2ModMan profile name if you use a different one that is not "default".

# Limitations

-If going for the double instances running on the same machine: you CAN'T have both your instances set as GM (at least as long as scroll lock is activated) one of your instance should be set to GM and the other to player BEFORE YOU ACTIVATE scroll lock, the option to change that is on the extreme upper left of your talespire window. Failing to do that will cause camera issues for a bit if you have two GM instances. Setting one of them as player should eventually make the issues stop after a few seconds.)
-If going for the option to have players join your game with your game ID on their own Talespire copies : You can't set another player as a second GM as the plugin would try to set the players' cameras to the coordinates of both GM cameras at the same time, this would obviously be very bad. (It might be pulled of if only one GM has scroll lock activated at a time, but it hasn't been tested by me or anyone I know of for the time being)

## Credits

Thanks to Lord Ashes for their huge help in making this QOL plugin a reality and guiding me along the way.